curl --request GET \
--url https://api.sonderplan.com/v2/project/folder \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sonderplan.com/v2/project/folder"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sonderplan.com/v2/project/folder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 2345,
"name": "Andor Season One",
"parent_folder_id": 5,
"created_id": 3,
"created": 1388552400,
"updated_id": 3,
"updated": 1388552400
}
],
"meta": {
"pagination": {
"total": 1,
"count": 1,
"per_page": 1,
"current_page": 1
}
}
}Get Project Folders
Project folders enable projects to be grouped and organized into one or more hierarchical levels.
For example, if you’re working on an episodic production, you can create a project folder for the season or series and organize all related projects within that folder.
READ access to the PROJECT module is required to access this endpointAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Perform a partial match text search for the project folder's name
Perform an exact match for the project folder's parent_folder_id
Specify the page of results you wish to return
The number of results returned per page. Default if not specified is 10
Specify the field (with type of string or integer) you wish to order (ascending) the response with
Specify the field (with type of string or integer) you wish to order (descending) the response with
Specify if multiple filters should be combined with OR or AND logic
OR, AND